package org.hzhub.erp.common.core;

import org.hzhub.erp.common.domain.R;
import org.hzhub.erp.common.page.TableDataInfo;

import java.util.List;

/**
 * 控制器基类
 */
public class BaseController {

    /**
     * 响应返回结果
     */
    protected <T> R<T> toAjax(int rows) {
        return rows > 0 ? R.ok() : R.fail();
    }

    /**
     * 响应返回结果
     */
    protected <T> R<T> toAjax(boolean result) {
        return result ? R.ok() : R.fail();
    }

    /**
     * 页面跳转
     */
    protected String redirect(String url) {
        return String.format("redirect:%s", url);
    }

    /**
     * 获取分页数据
     */
    protected <T> TableDataInfo<T> getDataTable(List<T> list) {
        return new TableDataInfo<>(list, list.size());
    }
}
